## escapework/manager-subscribers

Módulo para gerenciamento de contatos de newsletters.

## Instalação

Adiciona os seguintes itens no seu `composer.json` e execute um `composer update`:

```json
    "require": {
        "escapework/manager-subscribers": "0.9.*"
    },

    "repositories": [
        {
            "type": "composer",
            "url": "http://packages.escape.ppg.br"
        }
    ],
```

### ServiceProvider

Adicione a linha `'EscapeWork\Manager\Subscribers\Providers\ManagerSubscribersServiceProvider'` no array de Service Providers no arquivo `app/config/app.php`.

### Configurações

Execute o comando para executar as configurações necessárias.

```sh
$ php artisan manager:configure
```

### Cadastrando um subscriber

Para salvar o contato no front-end, você pode apenas registrar uma rota utilizando a função `store` do `SubscribersController`.

```php
Route::post('/newsletter', 'EscapeWork\Manager\Subscribers\SubscribersController@store');
```

Se o contato já existir na hora de salvar, suas informações apenas são atualizadas.

### Manager

Depois disso, você já poderá acessar o cadastro de banners pela URL http://seusite/manager/contatos.

#### Rotas Nomeadas

* manager.subscribers.index
* manager.subscribers.create
* manager.subscribers.store
* manager.subscribers.edit
* manager.subscribers.update
* manager.subscribers.destroy
* manager.subscribers.export

### Exportando contatos

##### CSV

No painel de administração, existe uma opção para exportar os contatos para CSV;

##### Campaign Monitor

Para exportar os contatos para o Campaign Monitor, adicione a dependência `"campaignmonitor/createsend-php": "@stable"` no seu `composer.json` execute um `composer update` e execute o comando:

A API KEY e o ID da lista devem ser alterados no arquivo de configuração do pacote.

```sh
$ php artisan manager-subscribers:campaign-monitor-export
```

##### MailChimp

Para exportar os contatos para o MailChimp Monitor, adicione a dependência `"mailchimp/mailchimp": "2.*": "@stable"` no seu `composer.json` execute um `composer update` e execute o comando:

A API KEY e o ID da lista devem ser alterados no arquivo de configuração do pacote.

Para exportar os contatos, execute o seguinte comando:

```sh
$ php artisan manager-subscribers:mailchimp-export
```

### Todo

* Testes unitários;
* Grupos de contatos (listas);
