<?php namespace EscapeWork\Manager\Subscribers\Export;

use Illuminate\Database\Eloquent\Collection;
use Drewm\MailChimp;
use Config;

class MailChimpExporter implements ExporterInterface
{

    public function __construct()
    {
        $this->mailChimp = new MailChimp(Config::get('manager-subscribers::mailchimp.api_key'));
    }

    public function export(Collection $subscribers)
    {
        foreach ($subscribers as $subscriber) {
            try {
                $this->mailChimp->call('lists/subscribe', array(
                    'id'                => Config::get('manager-subscribers::mailchimp.list_id'), # mailchimp list_id
                    'email'             => array('email' => $subscriber->email),
                    'merge_vars'        => array('FNAME' => $subscriber->name),
                    'double_optin'      => false,
                    'update_existing'   => true,
                    'replace_interests' => false,
                    'send_welcome'      => false,
                ));
            } catch (\Exception $e) {

            }
        }
    }
}
